package com.yunzhi.shigongli.event.listener;

import com.yunzhi.shigongli.entity.TaRoomOrder;
import com.yunzhi.shigongli.event.HotelCheckInEvent;
import com.yunzhi.shigongli.service.ITaHotelWorkerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

@Component
public class HotelCheckInEventListener implements ApplicationListener<HotelCheckInEvent> {
    @Autowired
    ITaHotelWorkerService iTaHotelWorkerService;

    @Async
    @Override
    public void onApplicationEvent(HotelCheckInEvent evt) {
        TaRoomOrder taRoomOrder = evt.getTaRoomOrder();

        iTaHotelWorkerService.sendMessageBy(taRoomOrder);
    }
}
