package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaPerson;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 小程序人员表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaPersonMapper extends BaseMapper<TaPerson> {

    String getOpenid(@Param("personId") String personId);

    IPage<TaPerson> getPageBy(IPage<TaPerson> pg, @Param("nickName")  String nickName,@Param("phone") String phone,@Param("personRole") String personRole);

    List<TaPerson> getListBy(@Param("nickName")  String nickName,@Param("phone") String phone,@Param("personRole") String personRole);
}
