package com.yunzhi.shigongli.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaSave;
import com.yunzhi.shigongli.vo.SavedVO;


/**
 * <p>
 * 点赞表 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaSaveService extends IBaseService<TaSave> {

    boolean removeBy(String targetType, String targetId, String personId);

    TaSave getByTarget(String targetType, String targetId, String personId);

    IPage<SavedVO> getPageBy(IPage<SavedVO> pg, String personId, String location);

}
