package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 页面点击日统计
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TsPageEventDaily对象", description="页面点击日统计")
public class TsPageEventDaily implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "statis_no", type = IdType.AUTO)
    private String statisNo;

    @ApiModelProperty(value = "日期")
    private String statisDate;

    @ApiModelProperty(value = "页面")
    private String pageName;

    @ApiModelProperty(value = "数目")
    private Integer num;


}
