package com.yunzhi.shigongli.event;

import com.yunzhi.shigongli.entity.TaVerifyTarget;
import org.springframework.context.ApplicationEvent;

/**
 * 核销结果
 */
public class VerifyResultEvent extends ApplicationEvent {

    TaVerifyTarget taVerifyTarget;

    public VerifyResultEvent(Object source, TaVerifyTarget taVerifyTarget) {
        super(source);
        this.taVerifyTarget = taVerifyTarget;
    }

    public TaVerifyTarget getTaVerifyTarget() {
        return taVerifyTarget;
    }
}
