package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaSave;
import com.yunzhi.shigongli.vo.SavedVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 点赞表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaSaveMapper extends BaseMapper<TaSave> {

    IPage<SavedVO> getPageBy(IPage<SavedVO> pg,
                             @Param("personId") String personId,
                             @Param("location") String location,
                             @Param("targetShopPackage") String targetShopPackage);
}
